params = {
    'type': 'COMBO',
    'universe': 'gym',
    'domain': 'SawyerDoorClose',
    'task': 'v2',

    'log_dir': 'logs/',
    'exp_name': 'off_policy_len1_minq_1.0_lagrange_0.0_lr1e-4_qlr3e-4_temp1.0_deterministic_backup_no_max_for_real_fake_states_real0.5_sep_mean_var_iter3000',

    'kwargs': {
        'epoch_length': 200,
        'lr': 1e-4,
        'q_lr': 3e-4,
        # min Q
        'with_min_q': True,#True,
        'min_q_for_real': False,
        'min_q_for_real_and_fake': False,
        'min_q_for_fake_only': False,
        'min_q_for_fake_states': True,
        'min_q_for_real_fake_states': True,
        'min_q_real_states_weight': 1.0,#1.0,#0.2,
        'backup_for_fake_only': False,
        'backup_with_uniform': False,
        'learn_bc_policy': False,
        'learn_bc_epoch': 50,
        'temp': 1.0,#10.0,
        'min_q_version': 3,
        'min_q_weight': 1.0,
        'data_subtract': False,#True,
        # extra params
        'num_random': 10,
        'max_q_backup': False,
        'deterministic_backup': True,
        # lagrange
        'with_lagrange': False,#True,
        'lagrange_thresh': 10.0,

        'model_train_freq': 1000,
        'model_retain_epochs': 5,
        'rollout_batch_size': 50e3,
        'deterministic': False,#False,
        'rollout_random': False,#True
        'num_networks': 7,#7,
        'num_elites': 5,#5,
        'real_ratio': 0.5,
        'target_entropy': -3,
        'max_model_t': None,
        'rollout_length': 1, 
        # 'hidden_dim': 200,
        # 'num_layers': 4,
        'multi_step_prediction': False,
        'num_plan_steps': 3,#10,

        # cross-validation
        'restore': False,
        'cross_validate': False,
        'cross_validate_model_eval': False,
        'cross_validate_eval_n_episodes': 10,
        'cross_validate_n_steps': 5,
        'use_fqe': False,
        'fqe_num_qs': 3,
        'fqe_minq': False,

        'sn': False,#True,
        'separate_mean_var': True,#True,
        'penalty_learned_var': False,#True,
        'penalty_coeff': 0.0,
        'pool_load_path': '/path/to/data/metaworld/',
        'pool_load_max_size': 2000e3, ####
        'model_name': 'sawyer_door_jump_sn_smv_1_0',
    }
}